Bug 1248537 - Connecting to remote server takes a very long time
Connecting to remote server takes a very long time
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Tooling (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Barry LaFond
Andrej Smigala
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-30 09:14 EDT by Andrej Smigala
Modified: 2015-11-17 13:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-17 13:05:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIIDDES-2592 Blocker Closed Connecting to remote server takes a very long time 2015-08-14 16:32:47 EDT

  None (edit)
Description Andrej Smigala 2015-07-30 09:14:39 EDT
Any interaction with remote server, such as connecting, importing from teiid connection or listing vdbs and datasources takes a very long time (minutes) when there are many datasources (30+) defined on the server


blafond: We're compiling lists of DS, Translator and VDB objects. DS's basically take 3 different CLI calls to pull together. If you're not carefull, this results in CLI calls, calling other CLI calls repeatedly
blafond: 30 Data sources were resulting in 900 + calls to the server, when it should have been maybe.... 60
Comment 3 JBoss JIRA Server 2015-08-04 14:23:27 EDT
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-2592 to Resolved
Comment 4 JBoss JIRA Server 2015-08-12 08:58:09 EDT
Andrej Šmigala <asmigala@redhat.com> updated the status of jira TEIIDDES-2592 to Closed

Note You need to log in before you can comment on or make changes to this bug.